Project

General

Profile

Feature #12545

Install Electrum >= 2.8.0 for Digital Bitbox hardware wallet support

Added by anonym about 2 years ago. Updated over 1 year ago.

Status:
Rejected
Priority:
Low
Assignee:
-
Category:
-
Target version:
-
Start date:
05/16/2017
Due date:
% Done:

0%

Feature Branch:
Type of work:
Wait
Blueprint:
Starter:
Affected tool:

Description

Let's wait and see if a Stretch backport appears on its own.


Related issues

Related to Tails - Bug #12323: Electrum offline signing Resolved 03/12/2017

History

#1 Updated by intrigeri about 2 years ago

  • Priority changed from Normal to Low

#2 Updated by emmapeel about 2 years ago

A couple of users have asked frontdesk for this upgrade.

#3 Updated by anonym about 2 years ago

  • Subject changed from Install Electrum >= 2.8.0 for hardware wallet support to Install Electrum >= 2.8.0 for Digital Bitbox hardware wallet support

I just found 396482131fc4e5ef9635c1c2a081f6fa3e3ed24c (Add support for the TREZOR hardware wallet in Electrum (refs: #10964).) which we have shipped since 3.0~alpha1. But in the Electrum changelog for 2.8 I can see: "Support for Digital Bitbox hardware wallet". So I guess we already support the TREZOR hardware wallet, but not Digital Bitbox.

#4 Updated by emmapeel about 2 years ago

Another user asks for Electrum update to 2.7.9 because of:

- Segwith
- CPFP transactions
- RBF transactions
- A majority of hardware wallets, and those supported has bugs with new HW revisions.
- No mobile 2fa auth.
- Outdated encryption for wallet keys.
- Lacking various plugins.

Truth be told, it seems Electrum development is quite active if you see:

https://github.com/spesmilo/electrum/blob/master/RELEASE-NOTES

#5 Updated by intrigeri about 2 years ago

Another user asks for Electrum update to 2.7.9 […]

Tails 2.12 and 3.0~rc1 both include Electrum 2.7.9 already.

Truth be told, it seems Electrum development is quite active if you see:

The thing is, one can (almost) always point to an upstream changelog and show how much Debian stable lacks cool, new stuff :) Sadly, in practice, in the general case that's not actionable information. I'll write something below so that our help desk understands better the dynamics behind "why Tails ships software X version Y and not the latest one", and is in a better position to communicate this to users who of course won't stop asking for the latest version of their favorite piece of software.

The way I see it, anyone who wants Tails to track recent Electrum releases more closely than "we ship whatever is in Debian stable, and occasionally a well-maintained official backport" should:

  • track upstream development closely, in order to pick the best versions for Debian unstable/testing and stable backports
  • get involved in the maintenance of the Debian package:
    • fix in Debian stable important bugs and issues that make the version included in there irrelevant/obsolete
    • optionally, maintain backports for Debian stable if new features are desired
  • act as a liaison with Tails developers to let us know when we should upgrade to which version

We happen to do this work ourselves for some software we particularly care about, or are upstream for. But I don't think any of this can be expected from Tails developers, let alone from our Foundations Team, for any other piece of software: there's a reason why Tails is (currently, see #12615 for possible upcoming changes) based on Debian stable; this fundamental design choice prevents us from shipping recent versions of all included software, and I don't see why Electrum warrants an exception.

#6 Updated by emmapeel about 2 years ago

  • Related to Bug #12323: Electrum offline signing added

#7 Updated by anonym about 2 years ago

#8 Updated by anonym about 2 years ago

#9 Updated by anonym about 2 years ago

  • Status changed from Confirmed to Rejected
  • Assignee deleted (anonym)

I won't do this, and I have no reason to think any other current contributor will. If you feel like doing this, i.e. what intrigeri outlined in #12545#note-5, feel free to reopen this ticket and assign it to yourself.

#10 Updated by intrigeri about 2 years ago

  • Target version deleted (Tails_3.2)

Also available in: Atom PDF